#include "includes.h"

void directboot(char *drive, int def_rec)
{
    struct struc_bootmanager btmgr;
    
    bmread(drive, &btmgr);
    if (reccheck(btmgr.sbmkdata.boot_records[def_rec]))
    {
        btmgr.sbmkdata.direct_boot_record=def_rec;
    }
    else
    {
        fprintf(stderr,"The given record isn't good!(direct-boot)\n");
	exit(-3);
    }
    bmwrite(drive, &btmgr);
    free(btmgr.data);
}
