#include "includes.h"

void seclock(char *drive)
{
    struct struc_bootmanager btmgr;
    
    bmread(drive, &btmgr);
    if (btmgr.sbmkdata.kernel_flags & KNLFLAG_SECURITY)
	btmgr.sbmkdata.kernel_flags&=~KNLFLAG_SECURITY;
    else
	btmgr.sbmkdata.kernel_flags|=KNLFLAG_SECURITY;
    
    bmwrite(drive, &btmgr);
    free(btmgr.data);
}
