#include "includes.h"

void autohide(char *drive, int recnum)
{
    struct struc_bootmanager btmgr;
    
    bmread(drive, &btmgr);
    if (reccheck(btmgr.sbmkdata.boot_records[recnum]))
    {
        btmgr.sbmkdata.boot_records[recnum].flags^=INFOFLAG_AUTOHIDE;
    }
    else
    {
        fprintf(stderr,"The given record isn't good!\n");
	exit(-3);
    }
    bmwrite(drive, &btmgr);
    free(btmgr.data);
}
