#include "includes.h"

void removepart(char * drive, int removefloppy,int removehard,int removepartid)
{
    struct struc_bootmanager btmgr;
    int i;
    int cmpdrid;
    
    bmread(drive, &btmgr);
    if (removefloppy) cmpdrid=removefloppy-1;
    else if (removehard) cmpdrid=removehard+127;
    else 
    {
        fprintf(stderr,"Strange error. Neither removefloppy, nor removehard is true\n");
        abort();
    }
    for (i=0;i<MAX_RECORD_NUM;i++)
    {
        if ((cmpdrid==btmgr.sbmkdata.boot_records[i].drive_id) &&
            (removepartid==btmgr.sbmkdata.boot_records[i].part_id))
        {
	    btmgr.sbmkdata.boot_records[i].type=0;
	    btmgr.sbmkdata.boot_records[i].flags=0;
	    if (btmgr.sbmkdata.default_record==i)
	    {
		btmgr.sbmkdata.default_record=255;
	        printf("DEAFULT RECORD DELETED!\n");
	    }
        }
    }
    bmwrite(drive, &btmgr);
    free(btmgr.data);
}

void rembynum(char *drive, int number)
{
    struct struc_bootmanager btmgr;

    bmread(drive, &btmgr);
    if (reccheck(btmgr.sbmkdata.boot_records[number]))
    {
	btmgr.sbmkdata.boot_records[number].type=0;
        btmgr.sbmkdata.boot_records[number].flags=0;
        if (btmgr.sbmkdata.default_record==number)
        {
	    btmgr.sbmkdata.default_record=255;
	    printf("DEAFULT RECORD DELETED!\n");
	}
    }
    else
    {
        fprintf(stderr,"The given record isn't good!\n");
	exit(-3);
    }
    bmwrite(drive, &btmgr);
    free(btmgr.data);
}
